/*
Styles for new service silo content 
Created: 03.26.2026
Modified: 03.26.2026
*/

/********************
*** Service Boxes ***
********************/
#services-int {
  margin-top: 2rem;
  gap: 0 2rem;
}
#services-int .grid img {
  width: 100%;
}
#services-int .grid {
  display: block;
  margin-bottom: 2rem;
  font-size: 0;
  text-align: center;
}
#services-int .grid.end {
  justify-self: unset;
}
#services-int .grid figure {
  margin: 0 auto;
  background: #3085a3;
  display: inline-block;
  position: relative;
  overflow: hidden;
  text-align: center;
  height: 260px;
  -webkit-box-shadow: 0px 0px 16px 2px rgba(112, 112, 112, 0.64);
  box-shadow: 0px 0px 16px 2px rgba(112, 112, 112, 0.64);
  width: 100%;
}
/* Common style */
#services-int .grid figure img {
  position: relative;
  display: block;
  opacity: 0.85;
  height: auto;
}
#services-int .grid figure figcaption {
  color: #fff;
  font-size: 1.25em;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
#services-int .grid figcaption h2 {
  text-transform: uppercase;
  font-weight: 300;
  margin: 1em;
}
#services-int .grid figure figcaption::before,
#services-int .grid figure figcaption::after {
  pointer-events: none;
}
#services-int .grid figure figcaption,
#services-int .grid figure figcaption > a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
#services-int .grid figure h2 {
  font-weight: 900;
  margin: 1em;
}
#services-int figure.effects {
  z-index: auto;
  background: #000;
}
#services-int figure.effects:before {
  box-shadow: 0 3px 30px rgba(0, 0, 0, 0.8);
  opacity: 0;
}
#services-int figure.effects figcaption {
  z-index: 1;
}
#services-int figure.effects img {
  -webkit-transform: perspective(1000px) translate3d(10, 0, 0);
  transform: perspective(1000px) translate3d(0, 0, 0);
  -webkit-transition: -webkit-transform 0.35s ease;
  transition: 0.35s ease;
  height: 100%;
  width: 100%;
  object-fit: cover;
}
#services-int figure.effects h2 {
  background: var(--primary-color,var(--brand-default, var(--color-primary, var(--primary-dark-color))));
  color: #fff;
}
#services-int figure.effects p {
  background: #fff;
  color: #2d2d2d;
}
#services-int figure.effects h2 {
  position: absolute;
  padding: 0.25em;
  bottom: 0;
  width: 100%;
}
#services-int figure.effects p {
  margin-top: 1em;
  padding: 0.5em;
  font-weight: 400;
  transition: 0.35s ease;
}
#services-int .grid figure figcaption h2 {
  font-size: 21px;
  line-height: 1.1;
  padding: 10px 0;
  margin-bottom: 0;
  margin-left: 0;
  margin-right: 0;
}
#services-int .grid figcaption p {
  font-size: 14px;
  line-height: 1.2em;
  font-weight: 400;
  position: absolute;
  padding: 15px 20px 20px 20px;
  bottom: -60%;
  margin: 0;
  height: 60%;
  width: 100%;
  text-align: left;
}
#services-int .grid figcaption p span {
  display: block;
  color: var(--primary-color,var(--brand-default, var(--color-primary, var(--primary-dark-color))));
  font-weight: 900;
  padding-bottom: 6px;
  text-transform: uppercase;
}
#services-int .grid figcaption p a {
  color: #000;
}
#services-int .grid figcaption p span.more {
  display: block;
  font-weight: 700;
  font-size: 11px;
  padding-top: 6px;
  text-transform: uppercase;
}
#services-int .grid figcaption p span.more {
  color: var(--accent-color, var(--brand-accent,var(--primary-bright-color)));
}
#services-int .grid figcaption p span.button .fa {
  font-size: 14px !important;
}
@media screen and (min-width: 641px) {
  #services-int figure.effects:hover img {
    opacity: 1;
    -webkit-transform: perspective(2000px) translate3d(0, -50px, 50px);
    transform: perspective(2000px) translate3d(0, -50px, 50px);
  }
  #services-int figure.effects:hover h2:before {
    opacity: 0;
  }
  #services-int figure.effects:hover p {
    bottom: 0;
  }
}
@media screen and (max-width: 640px) {
  #services-int .grid figure {
    margin-bottom: 10px;
    height: 150px;
  }
  #services-int .grid figure figcaption h2 {
    font-size: 14px !important;
    font-weight: 600;
  }
}
/********************
*** Accordion Fix ***
********************/
.accordion-style__content .columns.medium-6 {
  box-sizing: border-box;
}
/************************
*** Compare Component ***
************************/
image-compare {
  width: 100%;
  max-width: 600px;
}
/********************
*** 2-Column List ***
********************/
.columns-container {
  display: flex;
  flex-wrap: wrap;
  gap: 0 2rem !important;
  justify-content: space-between;
}
.columns-left,
.columns-right {
  flex: 1 1 300px;
  min-width: 280px;
}
:is(.columns-left, .columns-right) ul {
  margin-bottom: 0 !important;
}

:is(.columns-left, .columns-right) ul li {
  margin-bottom: 1rem !important;
}
:where(#hp-content, #content-wrap) ul.list-columns {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 0 1rem;
}
/******************
*** Card Styles ***
******************/
.card {
  box-shadow: 0 2px 5px rgba(0 0 0 / 0.25);
  height: 100%;
  /* margin-bottom:2rem;
     */
}

.card-title,
.card-details {
  padding: 1rem;
}
.card-title {
  background-color: var(--brand-dark, var(--primary-color, #000));
}
.card-title p {
  margin-bottom: 0;
  text-align: center;
  color: #fff;
  font-weight: 600;
}
.card-icon {
  margin-inline: auto;
  padding: 0.5rem;
  width: min(75%, 100px);
  aspect-ratio: 1/1;
  display: flex;
  border-radius: 99px;
  border: 1px solid #d9d9d9;
  background-color: #fff;
}

.card-icon img {
  object-fit: contain;
  object-position: center;
}
/********************
*** Helper Classes **
********************/
.clear {
  clear: both;
}
.my-12 {
  margin-top: 3rem;
  margin-bottom: 3rem;
}
